# SMALL
Spherical Microphone Arrays Little Library

The SMALL library provides an open-source set of Computer Aided Designs (CAD) to easily 
build Spherical Microphone Arrays (SMA)s prototype for research or home use. The 
designs are made with opensCAD, they are customizable and the different parts 
can be directly 3D printed. Extra standard mechanical assembly elements may be 
required such as screws or metal rods. 
Two main configurations are proposed: open sphere or rigid sphere. 
The customization parameters are the array radius, the number and position of the microphones, their type and extra options such as the possibility to embed an USB sound card inside the array.
The microphone arrays signal processing for a Spherical Harmonic decomposition is provided as a code in the Faust language. 
Also, Python codes are provided for the calibration of the Spherical Microphone Arrays using a robotic arm. 
